FROM rocm/pytorch:latest-base

# RUN groupadd -g 105 render
# RUN usermode -m -G render,video debian

USER jenkins
WORKDIR /home/jenkins

RUN git clone https://github.com/pytorch/pytorch.git
WORKDIR /home/jenkins/pytorch
RUN git submodule sync
RUN git submodule update --init --recursive

ENV PYTORCH_ROCM_ARCH=gfx1012
RUN export PYTORCH_ROCM_ARCH=gfx1012
RUN python3 tools/amd_build/build_amd.py
ENV USE_ROCM=1
RUN USE_ROCM=1 python3 setup.py install --user


USER root
RUN usermod -aG messagebus,video jenkins
USER jenkins

WORKDIR /home/jenkins
RUN git clone https://github.com/pytorch/vision.git
WORKDIR /home/jenkins/vision
RUN python3 setup.py install --user

WORKDIR /home/jenkins/
RUN git clone https://github.com/pytorch/examples.git
WORKDIR /home/jenkins/examples

ENTRYPOINT [ "python", "mnist/main.py" ]
